org.apache.tomcat.util.net

## Class Nio2Endpoint.Acceptor

- java.lang.Object
- - org.apache.tomcat.util.net.AbstractEndpoint.Acceptor
  - - org.apache.tomcat.util.net.Nio2Endpoint.Acceptor

- All Implemented Interfaces:
    Runnable
  Enclosing class:
    Nio2Endpoint

      protected class Nio2Endpoint.Acceptor
      extends AbstractEndpoint.Acceptor

  With NIO2, the main acceptor thread only initiates the initial accept but periodically checks that the connector is still accepting (if not it will attempt to start again).

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tomcat.util.net.AbstractEndpoint.Acceptor

      `AbstractEndpoint.Acceptor.AcceptorState`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tomcat.util.net.AbstractEndpoint.Acceptor

      `state`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Nio2Endpoint.Acceptor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()`

    - ### Methods inherited from class org.apache.tomcat.util.net.AbstractEndpoint.Acceptor

      `getState, getThreadName, setThreadName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Nio2Endpoint.Acceptor

          protected Nio2Endpoint.Acceptor()

  - ### Method Detail

    - #### run

          public void run()

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.